
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Signup Form</title>
    <script src="https://code.jquery.com/jquery-git.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
    <link rel="stylesheet" href="signup.css">
    

</head>

<body>
    <div class="container">
        <h1 style="color: red;text-align: center;">Signup Form</h1>
        <form id="form1" action="http://localhost:8080/insertion/" method="post">
            <table>
                <tr>
                    <td>FirstName:</td>
                    <td><input type="text" name="fname" id="fname"></td>

                </tr>
                <tr>
                    <td></td>
                    <td><span id="fnameerr" style="color: red;" ></span></td>
                </tr>
                <tr>
                    <td>LastName:</td>
                    <td><input type="text" name="lname" id="lname"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="lnameerr" style="color: red;"></span></td>
                </tr>
                <tr>
                <tr>
                    <td>Email:</td>
                    <td><input type="text" name="email" id="email" ></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="emerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>PhoneNumber:</td>
                    <td><input type="tel" name="phone" id="phone" ></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="pherr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>Gender:</td>
                    <td><input type="radio" class="gender" name="gender" id="male" value="male">Male
                        <input type="radio" class="gender" name="gender" id="female" value="female">Female
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="geerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>State:</td>
                    <td><select name="state" id="state" required>
                            <option value=""></option>
                            <option value="TamilNadu">TamilNadu</option>
                            <option value="Kerala">Kerala</option>
                            <option value="Goa">Goa</option>
                        </select></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="seerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td></td>
                    <td><input type="checkbox" name="subscribe"  id="subscribe">Subscribe</td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="serr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>Password:</td>
                    <td><input type="password" name="pwd" id="pwd"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="perr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>Confirm Password:</td>
                    <td><input type="password" name="cpp" id="cpp" ></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="cpperr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td><input type="checkbox" name="term" id="term"></td>
                    <td>
                        <p id="terms">Agree Terms and conditions</p><br><br>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="aterr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td></td>
                    <td>
                        <div class="modal">
                            <div class="modalcontent">
                                <p id="mod">Please Ensure about terms and conditions</p>
                                <p id="mod">Check all details and agree</p>
                                <button id="close">close</button>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td> </td>
                    <td><input class="s" type="submit" name="submit" value="Sign Up" id="submit"></td>
                </tr>

            </table>
        </form>
    </div>
</body>
<script>
     $("#terms").click(function () {
        $(".modal").show();


    });
    $("#close").click(function () {
        $(".modal").hide();
    });

</script>


</html>